{% extends 'base.html.twig' %}

{% block title %}
	Media
{% endblock %}

{% block body %}
	<main id="bodygalerie">
		<h2 class="h1">
			Galerie Photos et Vidéos
		</h2>

		{% if is_granted('ROLE_ADMIN') %}
			<div class="textcenter">
				<a title="Nouveau" href="{{ path('app_media_new') }}">
					<i class="fa-solid fa-file-circle-plus fa-2x fa-icon" style="color:black"></i>
				</a>
			</div>
		{% endif %}

		<div class="mesphotos">

			{% for medium in media %}

				{% if medium.image %}
					<img class="imagesbdd" src="/uploads/{{ medium.image }}" alt="photofilm">
				{% endif %}

				{% if medium.video %}
					<video controls style="width: 25vw; height: 30vh">
						<source src="/uploads/{{ medium.video }}" type="video/webm">
						<source src="/uploads/{{ medium.video }}" type="video/mp4">
						Sorry, your browser doesn't support embedded videos.
					</video>
					<a title="Supprimer" href="{{ path('app_media_delete', {'id': medium.id}) }}">
						<i class="fa-solid fa-trash fa-2x" style="color:black"></i>
					</a>
				{% endif %}
				{% if is_granted('ROLE_ADMIN') %}
				<div class="input-admin">
					<a title="Supprimer" href="{{ path('app_media_delete', {'id': medium.id}) }}">
						<i class="fa-solid fa-trash fa-2x" style="color:black"></i>
					</a>
					<a title="Modifier" href="{{ path('app_media_edit', {'id': medium.id}) }}">
						<i class="fa-solid fa-file-pen fa-2x" style="color:black"></i>
					</a>
				</div>
				{% endif %}
			{% else %}
				<p>
					Aucune photo(s) ou video(s) n'est disponible
				</p>
			{% endfor %}
		</div>

		<div class="separation">
			<img class="separe" src="/images/lames.png" alt="lames">
		</div>
		<div id="mesvideos">
			{% if is_granted('ROLE_ADMIN') %}
				<form action="/URL" method="post">
					<label for="url">URL</label>
					<input name="url" type="text">
					<button type="submit">OK</button>
				</form>
			{% endif %}
        <iframe width="800"height="600" src="https://www.youtube.com/embed/{{ url }}" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>
		</div>
	</main>

{% endblock %}
